corda / net.corda.core.crypto / CompositeKey / Builder

# Builder

`class Builder`

A helper class for building a CompositeKey.Node.

### Constructors

<init> | `Builder()` A helper class for building a CompositeKey.Node.

### Functions

addKey | `fun addKey(key: CompositeKey, weight: Int = 1): Builder` Adds a child CompositeKey node. Specifying a weight for the child is optional and will default to 1.
addKeys | `fun addKeys(vararg keys: CompositeKey): Builder` `fun addKeys(keys: List<CompositeKey>): Builder`
build | `fun build(threshold: Int? = null): Node` Builds the CompositeKey.Node. If threshold is not specified, it will default to the size of the children, effectively generating an "N of N" requirement.